clixifix Browser Requirements

clixifix is built on the nifty features found in modern browsers. You'll need to use one of the browsers below to use clixifix:


Internet Explorer 10

Google Chrome - latest version

Mozilla Firefox - latest version

Apple Safari 5+